Subject: Re: [Perc] Double PERC draft 5 and webrtc audio FEC

From: Alexandre GOUAILLARD <[email-masked]>
Date: Sun, 2 Jul 2017 16:36:07 -0700

Invite sent.

I wrote a little document to try to list and illustrate (with colours
because i m not as good as you guys) the small remaining differences
between the two approaches. I hope this will help.

https://docs.google.com/document/d/1akiageNJDCQ4sfAIsa40bGEXszXL35yEbEIbKvxA2z0

Regards,

Alex

On Fri, Jun 30, 2017 at 1:17 AM, Sergio Garcia Murillo <
[email-masked]> wrote:

> On 30/06/2017 2:03, Cullen Jennings wrote:
>
>
> On Jun 29, 2017, at 5:45 PM, Bernard Aboba <[email-masked]> <[email-masked]> wrote:
>
> [BA]  Opus FEC can't handle burst loss, but RED can.  So if you have burst loss (quite likely on wireless networks), RED can substantially outperform Opus FEC.  I realize this would involve use of RED in an *atypical* way, though.
>
> I realize some people want to use RED so I'm not arguing that we don't need to worry about it. It seems with RED for burst loss you have to decide how long a delay you want on the RED packets - more delay gives better burst loss protection but worse latency. When you implement FEC in opus, you have to decide more or less the same thing of how much delay to put in the redundant coding. So I see them somewhat similar to burst loss. But not sure it matters much because I'm fine with trying to have a solution that works for RED.
>
> Hi Cullen, Bernard,
>
> I am not against or in favor on RED. My point was just that in the new
> draft when it addresses the FEC part, it says:
>
>    The algorithms recommended in [I-D.ietf-rtcweb-fec <https://tools.ietf.org/html/draft-ietf-perc-double-05#ref-I-D.ietf-rtcweb-fec>] for audio work with no additional considerations.
>
> which is incorrect as RED cannot be supported HBH for the reasons
> mentioned on my original mail, and the draft should be updated to reflect
> that fact.
>
> Deciding if RED is a good FEC mechanism for webrtc or not, while being a
> very interesting topic, I think it is outside of the scope of this group.
>
> Best regards
>
> Sergio
>
> _______________________________________________
> Perc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/perc
>
>

-- 
Alex. Gouaillard, PhD, PhD, MBA
------------------------------------------------------------------------------------
President - CoSMo Software Consulting, Singapore
------------------------------------------------------------------------------------
sg.linkedin.com/agouaillard

   -